> For the complete documentation index, see [llms.txt](https://docs.spydra.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.spydra.app/developers/api-reference/ipfs.md).

# IPFS

You can access the Rest API through the Swagger UI from the App API section. Navigate to Network -> Deployed Apps -> App -> IPFS API

```
base url: 

https://<membership_id>.ipfs-<region>.spydra.app

Get the base URL from Network -> Deployed Apps -> App -> IPFS API page.
Select your organization at the top right of this page.
```

{% openapi src="/files/eA03rw4DwcMTBAsnbxdD" path="/ipfs/add" method="post" %}
[ipfs-swagger (1).yml](https://640808362-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F5jDaQI2dLzXe5VgQBNFE%2Fuploads%2FTCNaRJ7pZlpVMmliojSx%2Fipfs-swagger%20\(1\).yml?alt=media\&token=686f3478-5664-4708-b4da-798664839e20)
{% endopenapi %}

{% openapi src="/files/eA03rw4DwcMTBAsnbxdD" path="/ipfs/addByUrl" method="post" %}
[ipfs-swagger (1).yml](https://640808362-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F5jDaQI2dLzXe5VgQBNFE%2Fuploads%2FTCNaRJ7pZlpVMmliojSx%2Fipfs-swagger%20\(1\).yml?alt=media\&token=686f3478-5664-4708-b4da-798664839e20)
{% endopenapi %}

{% openapi src="/files/eA03rw4DwcMTBAsnbxdD" path="/ipfs/ls" method="post" %}
[ipfs-swagger (1).yml](https://640808362-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F5jDaQI2dLzXe5VgQBNFE%2Fuploads%2FTCNaRJ7pZlpVMmliojSx%2Fipfs-swagger%20\(1\).yml?alt=media\&token=686f3478-5664-4708-b4da-798664839e20)
{% endopenapi %}

{% openapi src="/files/eA03rw4DwcMTBAsnbxdD" path="/ipfs/cat" method="post" %}
[ipfs-swagger (1).yml](https://640808362-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F5jDaQI2dLzXe5VgQBNFE%2Fuploads%2FTCNaRJ7pZlpVMmliojSx%2Fipfs-swagger%20\(1\).yml?alt=media\&token=686f3478-5664-4708-b4da-798664839e20)
{% endopenapi %}

{% openapi src="/files/eA03rw4DwcMTBAsnbxdD" path="/ipfs/pin/add" method="post" %}
[ipfs-swagger (1).yml](https://640808362-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F5jDaQI2dLzXe5VgQBNFE%2Fuploads%2FTCNaRJ7pZlpVMmliojSx%2Fipfs-swagger%20\(1\).yml?alt=media\&token=686f3478-5664-4708-b4da-798664839e20)
{% endopenapi %}

{% openapi src="/files/eA03rw4DwcMTBAsnbxdD" path="/ipfs/pin/rm" method="post" %}
[ipfs-swagger (1).yml](https://640808362-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F5jDaQI2dLzXe5VgQBNFE%2Fuploads%2FTCNaRJ7pZlpVMmliojSx%2Fipfs-swagger%20\(1\).yml?alt=media\&token=686f3478-5664-4708-b4da-798664839e20)
{% endopenapi %}

{% openapi src="/files/eA03rw4DwcMTBAsnbxdD" path="/ipfs/pin/ls" method="post" %}
[ipfs-swagger (1).yml](https://640808362-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F5jDaQI2dLzXe5VgQBNFE%2Fuploads%2FTCNaRJ7pZlpVMmliojSx%2Fipfs-swagger%20\(1\).yml?alt=media\&token=686f3478-5664-4708-b4da-798664839e20)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.spydra.app/developers/api-reference/ipfs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
